Package org.pgpainless.decryption_verification

# Class ConsumerOptions.CertificateSource

java.lang.Object
org.pgpainless.decryption_verification.ConsumerOptions.CertificateSource

Enclosing class:
  `ConsumerOptions`

public static class ConsumerOptions.CertificateSource extends Object
Source for OpenPGP certificates. When verifying signatures on a message, this object holds available signer certificates.

## Constructor Summary

Constructors
Constructor
Description
`CertificateSource()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCertificate(org.bouncycastle.openpgp.PGPPublicKeyRing certificate)`
Add a certificate as verification cert explicitly.
`org.bouncycastle.openpgp.PGPPublicKeyRing`
`getCertificate(long keyId)`
Return a certificate which contains a subkey with the given keyId.
`Set<org.bouncycastle.openpgp.PGPPublicKeyRing>`
`getExplicitCertificates()`
Return the set of explicitly set verification certificates.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CertificateSource

public CertificateSource()

## Method Details

### addCertificate

public void addCertificate(org.bouncycastle.openpgp.PGPPublicKeyRing certificate)
Add a certificate as verification cert explicitly.

Parameters:
  `certificate` - certificate

### getExplicitCertificates

public Set<org.bouncycastle.openpgp.PGPPublicKeyRing> getExplicitCertificates()
Return the set of explicitly set verification certificates.

Returns:
  explicitly set verification certs

### getCertificate

public org.bouncycastle.openpgp.PGPPublicKeyRing getCertificate(long keyId)
Return a certificate which contains a subkey with the given keyId. This method first checks all explicitly set verification certs and if no cert is found it consults the certificate stores.

Parameters:
  `keyId` - key id
Returns:
  certificate